Users
Delete User
Permanently deletes a user and all their associated data, including all of their authenticators and actions. This operation is asynchronous and may take a few minutes to complete after the request returns.
DELETE
/
users
/
{userId}
Delete user
curl --request DELETE \
--url https://api.authsignal.com/v1/users/{userId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.authsignal.com/v1/users/{userId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.authsignal.com/v1/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "<string>",
"errorDescription": "<string>"
}{
"error": "<string>",
"errorDescription": "<string>"
}Authorizations
Use your Authsignal Server API secret key as the username and leave the password empty. The secret key can be found in the API Keys section of the Authsignal Portal settings page.
Path Parameters
The ID of the user.
Response
OK
true if the user was deleted successfully.
Was this page helpful?
⌘I
Delete user

